Class | DRb::ExtServ
In: | drb/extserv.rb
Parent: | Object

### Methods

alive? front new stop_service

### Included Modules

DRbUndumped

### Attributes

server | [R] |

### Public Class methods

new(there, name, server=nil)

[Source]

    # File drb/extserv.rb, line 12
        def initialize(there, name, server=nil)
          @server = server || DRb::primary_server
          @name = name
          ro = DRbObject.new(nil, there)
          @invoker = ro.regist(name, DRbObject.new(self, @server.uri))
        end

### Public Instance methods

alive?()

[Source]

    # File drb/extserv.rb, line 32
        def alive?
          @server ? @server.alive? : false
        end

front()

[Source]

    # File drb/extserv.rb, line 20
        def front
          DRbObject.new(nil, @server.uri)
        end

stop_service()

[Source]

    # File drb/extserv.rb, line 24
        def stop_service
          @invoker.unregist(@name)
          server = @server
          @server = nil
          server.stop_service
          true
        end

[Validate]